namespace lab4
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            //comboBoxFormats.Items.AddRange(new string[] { "   ", " ", " ", " ", "  " });
            comboBoxFormats.Items.AddRange(new string[] { "F", "d", "D", "T", "Y" });
        }

        private void dateTimePicker_ValueChanged(object sender, EventArgs e)
        {
            DateTime date = dateTimePicker.Value;
            int hours = Convert.ToInt32(numericUpDown.Value);
            if (date != null)
            {
                label1.Text = " : "
                    + date.ToString()
                    + "  "
                    + date.Hour.ToString()
                    + "   "
                    + date.Minute.ToString()
                    + " ";
                label1.Text += $"\n       {hours}     ,    "
                    + date.AddHours(hours).Hour.ToString()
                    + "   "
                    + date.AddDays(hours).Day.ToString()
                    + "  : "
                    + date.AddDays(hours).Month.ToString();
            }
        }

        private void button_Click(object sender, EventArgs e)
        {
            DateTime date = dateTimePicker.Value;
            if (comboBoxFormats.SelectedIndex != -1)
            {
                label1.Text = "   : " + date.ToString(comboBoxFormats.SelectedItem?.ToString());
            }
        }

        private void buttonBrth_Click(object sender, EventArgs e)
        {
            DateTime yourB = dateTimePicker1.Value;
            DateTime friendBrth = dateTimePicker2.Value;

            if (friendBrth < yourB)
            {
                yourB.AddYears(-friendBrth.Year);
                yourB.AddMonths(-friendBrth.Month);
                yourB.AddDays(-friendBrth.Day);
                label4.Text = "     "
                    + yourB.AddYears(-friendBrth.Year).Year.ToString()
                    + " ,  "
                    + yourB.AddMonths(-friendBrth.Month).Month.ToString()
                    + "    "
                    + yourB.AddDays(-friendBrth.Day).Day.ToString()
                    + " ";
            }
            else
            {
                label4.Text = "    "
                    + friendBrth.AddYears(-yourB.Year).Year.ToString()
                    + " ,  "
                    + friendBrth.AddMonths(-yourB.Month).Month.ToString()
                    + "    "
                    + friendBrth.AddDays(-yourB.Day).Day.ToString()
                    + " ";
            }
        }

        private void btnToString_Click(object sender, EventArgs e)
        {
            DateTime date = dateTimePicker3.Value;
            textBox1.Text = date.ToString();
        }

        private void btnToDate_Click(object sender, EventArgs e)
        {
            if(textBox1.Text != null)
            {
               string dateStr = textBox1.Text;
                try
                {
                    DateTime date = DateTime.Parse(dateStr);
                    dateTimePicker4.Value = date;
                }
                catch (Exception)
                {

                    throw;
                }
            }
        }
    }
}
